## EphyEmbedFactory

EphyEmbedFactory — Factory for creating new embed objects

## Synopsis

    GObject*    ephy_embed_factory_new_object   (const char *object_id);

## Description

EphyEmbed, EphyEmbedPersist and EphyEmbedSingle are all interfaces. In the interest of abstraction, the only recommended way to create new instances of the objects which implement these interfaces is to use EphyEmbedFactory.

To create a new instance of an EphyEmbed, EphyEmbedPersist or EphyEmbedSingle, use `ephy_embed_factory_new_object()`.

## Details

### ephy_embed_factory_new_object ()

    GObject*    ephy_embed_factory_new_object   (const char *object_id);

Create an instance of the object identified by `object_id`.

`object_id` : | identifier of the object to create
Returns : | the object instance